<?php

namespace MakeCommerce\Shipping\Method\ParcelMachine;

/**
 * Smartpost parcelmachine shippinh method.
 * Defines all Smartpost specific options.
 * 
 * @since 3.0.0
 */

class Smartpost extends \MakeCommerce\Shipping\Method\ParcelMachine {
    
    public $carrier = "Smartpost";
    public $service_name = "eservice.smartpost.ee";
    public $type = "apt";
    public $default_price = "5.00";
    public $default_max_weight = "35";

    //FI
    public array $valid_phonenumber_country_codes = array(
        "358"
    );

    /**
     * Loads all form fields specific to this shipping method
     * 
     * @since 3.0.0
     */
    public function initialize_method_form_fields() {

        //Nothing to see here, move along
    }
}